Social Moderation Triggers
Returns a list of moderation triggers
GET/api/media/social_moderation_trigger
Query parameters
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
default
Creates a moderation trigger
POST/api/media/social_moderation_trigger
Request body application/json
dataMediaSocialModerationTriggerShow fields (5)
patternstringPattern that triggers the moderation, for example a word or expression.
trigger_typestringType of the trigger, for example keyword or link.
descriptionstringDescription of the trigger.
activebooleanThe trigger is active.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Create a moderation triggerMediaSocialModerationTrigger2
Show fields (9)
idintegerPrimary key of the moderation trigger. Internal ID.
patternstringPattern that triggers the moderation, for example a word or expression.
trigger_typestringType of the trigger, for example keyword or link.
descriptionstringDescription of the trigger.
activebooleanThe trigger is active.
sourcestringSource of the trigger, for example the admin or the AI check.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
{
"id": 42,
"description": "Text",
"pattern": "string",
"trigger_type": "string",
"active": true,
"source": "string",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
}Returns a single moderation trigger
GET/api/media/social_moderation_trigger/{identifier}
Path parameters
identifierrequiredstring |
Responses
default
Updates a moderation trigger
PUT/api/media/social_moderation_trigger/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataMediaSocialModerationTriggerShow fields (5)
patternstringPattern that triggers the moderation, for example a word or expression.
trigger_typestringType of the trigger, for example keyword or link.
descriptionstringDescription of the trigger.
activebooleanThe trigger is active.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Update a moderation triggerMediaSocialModerationTrigger2
Show fields (9)
idintegerPrimary key of the moderation trigger. Internal ID.
patternstringPattern that triggers the moderation, for example a word or expression.
trigger_typestringType of the trigger, for example keyword or link.
descriptionstringDescription of the trigger.
activebooleanThe trigger is active.
sourcestringSource of the trigger, for example the admin or the AI check.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
{
"id": 42,
"description": "Text",
"pattern": "string",
"trigger_type": "string",
"active": true,
"source": "string",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
}Updates a moderation trigger
PATCH/api/media/social_moderation_trigger/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataMediaSocialModerationTriggerShow fields (5)
patternstringPattern that triggers the moderation, for example a word or expression.
trigger_typestringType of the trigger, for example keyword or link.
descriptionstringDescription of the trigger.
activebooleanThe trigger is active.
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Update a moderation triggerMediaSocialModerationTrigger2
Show fields (9)
idintegerPrimary key of the moderation trigger. Internal ID.
patternstringPattern that triggers the moderation, for example a word or expression.
trigger_typestringType of the trigger, for example keyword or link.
descriptionstringDescription of the trigger.
activebooleanThe trigger is active.
sourcestringSource of the trigger, for example the admin or the AI check.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
{
"id": 42,
"description": "Text",
"pattern": "string",
"trigger_type": "string",
"active": true,
"source": "string",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00",
"deleted": true
}